/*
 * Created on 06.06.2004 23:06:49
 * 
 * Project: de.jayefem.log4e
 *
 * Copyright (c) 2004 Jan-Friedrich Mutter, log4e@jayefem.de
 * 
 * All Rights reserved
 * 
 * CVS Id: $Id: JDK1_4_Logging.java,v 1.1 2004/08/03 19:29:19 jan Exp $
 */
package test.de.jayefem.log4e.logkits;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * 
 * 
 * @author Jan-Friedrich Mutter
 * @version $Revision: 1.1 $
 * 
 */
public class JDK1_4_Logging {
	// Obtain a suitable logger.
	private static final Logger logger = Logger.getLogger(JDK1_4_Logging.class.getName());

	public void levelMethods() {
		logger.entering("JDK1_4_Logging", "voidMethod()");
		logger.entering("JDK1_4_Logging", "voidMethod()", "param1");
		logger.entering("JDK1_4_Logging", "voidMethod()", new String[] { "1", "2" });

		logger.config("config");

		logger.finest("finest() msg");
		logger.finer("finer() msg");
		logger.fine("fine() msg");
		logger.info("info() msg");
		logger.warning("warning() msg");
		logger.severe("severe() msg");

		try {
			throw new RuntimeException("exception message");
		} catch (Exception e) {
			logger.throwing("JDK1_4_Logging", "voidMethod()", e);
		}

		logger.exiting("JDK1_4_Logging", "voidMethod()");
		logger.exiting("JDK1_4_Logging", "voidMethod()", "result");
	}

	public void logMethods() {
		if (logger.isLoggable(Level.FINEST)) {
			logger.log(Level.FINEST, "logMethods() - FINEST msg");
		}
		if (logger.isLoggable(Level.FINER)) {
			logger.log(Level.FINER, "logMethods() - FINER msg");
		}
		if (logger.isLoggable(Level.FINE)) {
			logger.log(Level.FINE, "logMethods() - FINE msg");
		}
		if (logger.isLoggable(Level.CONFIG)) {
			logger.log(Level.CONFIG, "logMethods() - CONFIG msg");
		}
		if (logger.isLoggable(Level.INFO)) {
			logger.log(Level.INFO, "logMethods() - INFO msg", new RuntimeException("exception message"));
		}
		if (logger.isLoggable(Level.WARNING)) {
			logger.log(Level.WARNING, "logMethods() - WARNING msg", new RuntimeException("exception message"));
		}
		if (logger.isLoggable(Level.SEVERE)) {
			logger.log(Level.SEVERE, "logMethods() - SEVERE msg", new RuntimeException("exception message"));
		}
	}

	public void logpMethods() {
		if (logger.isLoggable(Level.FINEST)) {
			logger.logp(Level.FINEST, getClass().getName(), "logpMethods()", " - FINEST msg");
		}
		if (logger.isLoggable(Level.FINER)) {
			logger.logp(Level.FINER, getClass().getName(), "logpMethods()", " - FINER msg");
		}
		if (logger.isLoggable(Level.FINE)) {
			logger.logp(Level.FINE, getClass().getName(), "logpMethods()", " - FINE msg");
		}
		if (logger.isLoggable(Level.CONFIG)) {
			logger.logp(Level.CONFIG, getClass().getName(), "logpMethods()", " - CONFIG msg");
		}
		if (logger.isLoggable(Level.INFO)) {
			logger.logp(Level.INFO, getClass().getName(), "logpMethods()", " - INFO msg", new RuntimeException("exception message"));
		}
		if (logger.isLoggable(Level.WARNING)) {
			logger.logp(Level.WARNING, getClass().getName(), "logpMethods()", " - WARNING msg", new RuntimeException("exception message"));
		}
		if (logger.isLoggable(Level.SEVERE)) {
			logger.logp(Level.SEVERE, getClass().getName(), "logpMethods()", " - SEVERE msg", new RuntimeException("exception message"));
		}
	}

	/**
	 * Invoke with
	 * java -Djava.util.logging.config.file=D:\proj\Devel\Java\de.jayefem.log4e.tests\build\logging.properties ...
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		//System.setProperty("java.util.logging.config.file", "D:\\proj\\Devel\\Java\\de.jayefem.log4e.tests\\build\\logging.properties");

		JDK1_4_Logging jdk1_4_Logging = new JDK1_4_Logging();
		jdk1_4_Logging.levelMethods();
		jdk1_4_Logging.logMethods();
		jdk1_4_Logging.logpMethods();
	}
}
